package com.bzd.web.controller.fwgl;

import com.bzd.common.annotation.Log;
import com.bzd.common.config.dao.PageData;
import com.bzd.common.core.controller.BaseController;
import com.bzd.common.core.domain.AjaxResult;
import com.bzd.common.core.page.TableDataInfo;
import com.bzd.common.enums.BusinessType;
import com.bzd.system.service.PharmaceuticalService;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.*;
import com.bzd.system.service.fwgl.SFwglServicepackageinfoService;

import java.util.List;

/**
*
* 扫码提成列表查询 前端控制器Controller
* @author LiXiangFei
* @since 2024-10-15
*/
@Controller
@RequestMapping(value = "fwgl/sfwglservicepackageinfo")
public class SFwglServicepackageinfoController extends BaseController {

    // 页面跳转前缀
    private String prefix = "fwgl";

    @Autowired
    private SFwglServicepackageinfoService sFwglServicepackageinfoService;

    /**
    * 扫码提成列表查询 新增页面跳转
    *
    * @return
    */
    @RequiresPermissions("fwgl:fw:view")
    @GetMapping("/sFwglServicepackageinfoAdd")
    public String add() {
        return prefix + "/SFwglServicepackageinfoAdd";
    }

    /**
    * 扫码提成列表查询 新增
    *
    * @return
    */
    @Log(title = "扫码提成列表查询新增", businessType = BusinessType.INSERT)
    @PostMapping("/sFwglServicepackageinfoAdd")
    @ResponseBody
    public AjaxResult addSave() throws Exception {
        PageData pd = this.getPageData();
        try {
            Integer result = sFwglServicepackageinfoService.addSFwglServicepackageinfo(pd);
            if (result == 1) {
                return AjaxResult.success("新增成功");
            } else {
                logger.error("Failed to update 表skccrkckreceiptinfo with ID: {}", pd.get("id"));
                return AjaxResult.error("新增失败");
            }
        } catch (Exception e) {
            logger.error("Error occurred while updating 表skccrkckreceiptinfo with ID: {}, Exception: {}", pd.get("id"), e.getMessage(), e);
            return AjaxResult.error("系统异常：" + e.getMessage());
        }
    }

    /**
    * 扫码提成列表查询 查询页面跳转
    *
    * @return
    */
    @RequiresPermissions("fwgl:fw:view")
    @GetMapping("/sFwglServicepackageinfoView")
    public String sfwglservicepackageinfoListView() {
        return prefix + "/SFwglServicepackageinfoList";
    }

    /**
    * 扫码提成列表查询 数据查询
    *
    * @return
    * @throws Exception
    */
    @RequiresPermissions("fwgl:fw:sFwglServicepackageinfoList")
    @PostMapping("/sFwglServicepackageinfoList")
    @ResponseBody
    public TableDataInfo sfwglservicepackageinfoList() throws Exception {
    PageData pd = this.getPageData();
    startPage();
    List<PageData> pageData = sFwglServicepackageinfoService.findSFwglServicepackageinfoList(pd);
        return getDataTable(pageData);
    }

    /**
    * 扫码提成列表查询 数据删除 根据id
    *
    * @return
    * @throws Exception
    */
    @RequiresPermissions("fwgl:fw:remove")
    @Log(title = "扫码提成列表查询删除", businessType = BusinessType.DELETE)
    @PostMapping("/sFwglServicepackageinfoRemove")
    @ResponseBody
    public AjaxResult sfwglservicepackageinfoRemove() throws Exception {
        PageData pd = this.getPageData();
        Integer integer = sFwglServicepackageinfoService.SFwglServicepackageinfoRemove(pd);
        return toAjax(integer);
    }

    /**
    * 扫码提成列表查询 数据修改
    *
    * @return
    * @throws Exception
    */
    @RequiresPermissions("fwgl:fw:edit")
    @GetMapping("/sFwglServicepackageinfoEdit/{id}")
    public String sfwglservicepackageinfoView(@PathVariable("id") Long id, ModelMap mmap) throws Exception {
        PageData pd = this.getPageData();
        pd.put("id", id);
        PageData pageData = sFwglServicepackageinfoService.findSFwglServicepackageinfoList(pd).get(0);
        mmap.putAll(pageData);
        if(null!=pd.getString("status")){
            return prefix+ "/sfwglservicepackageinfoPageEdit";
        }
        return prefix+ "/sfwglservicepackageinfoEdit";
    }

    /**
    * 扫码提成列表查询保存修改的数据
    */
    @RequiresPermissions("fwgl:fw:edit")
    @Log(title = "扫码提成列表查询修改", businessType = BusinessType.UPDATE)
    @PostMapping("/sFwglServicepackageinfoEdit")
    @ResponseBody
    public AjaxResult sfwglservicepackageinfoEditSave() throws Exception {
        PageData pd = this.getPageData();
        pd.put("up", "up");
        try {
            Integer updateResult = sFwglServicepackageinfoService.updateSFwglServicepackageinfo(pd);
            if (updateResult == 1) {
                // 成功更新
                return AjaxResult.success("修改成功");
            } else {
                // 更新失败
                logger.error("Failed to update 表sfwglservicepackageinfo with ID: {}", pd.get("id"));
                return AjaxResult.error("修改失败");
            }
        } catch (Exception e) {
            // 异常处理
            logger.error("Error occurred while updating 表sfwglservicepackageinfo with ID: {}, Exception: {}", pd.get("id"), e.getMessage(), e);
            return AjaxResult.error("系统异常：" + e.getMessage());
        }
    }
}
